Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class CommentImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.CommentImpl

All Implemented Interfaces:
  Externalizable, Serializable, Comment, org.kie.internal.task.api.model.InternalComment

    @Entity
    public class CommentImpl

extends Object
implements org.kie.internal.task.api.model.InternalComment

See Also:
  Serialized Form

Constructor Summary
`CommentImpl()`

Method Summary
`boolean` | `equals(Object obj)`
`Date` | `getAddedAt()`
`User` | `getAddedBy()`
`Long` | `getId()`
`String` | `getText()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setAddedAt(Date addedDate)`
`void` | `setAddedBy(User addedBy)`
`void` | `setId(long id)`
`void` | `setText(String text)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommentImpl

    public CommentImpl()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

  Specified by:
    `getId` in interface `Comment`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.InternalComment`

### getText

    public String getText()

  Specified by:
    `getText` in interface `Comment`

### setText

    public void setText(String text)

  Specified by:
    `setText` in interface `org.kie.internal.task.api.model.InternalComment`

### getAddedAt

    public Date getAddedAt()

  Specified by:
    `getAddedAt` in interface `Comment`

### setAddedAt

    public void setAddedAt(Date addedDate)

  Specified by:
    `setAddedAt` in interface `org.kie.internal.task.api.model.InternalComment`

### getAddedBy

    public User getAddedBy()

  Specified by:
    `getAddedBy` in interface `Comment`

### setAddedBy

    public void setAddedBy(User addedBy)

  Specified by:
    `setAddedBy` in interface `org.kie.internal.task.api.model.InternalComment`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.